Package com.evopdf

# Enum PdfBorderStyle

java.lang.Object
java.lang.Enum<PdfBorderStyle>
com.evopdf.PdfBorderStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<PdfBorderStyle>`, `java.lang.constant.Constable`

public enum PdfBorderStyle extends Enum<PdfBorderStyle>
This enumeration represents the possible border styles in a PDF document

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Default`
  Default border style
  `Fixed3D`
  3D border
  `FixedSingle`
  Single border
  `NoBorder`
  No border

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static PdfBorderStyle`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static PdfBorderStyle[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Default

    public static final PdfBorderStyle Default
    Default border style

  - ### NoBorder

    public static final PdfBorderStyle NoBorder
    No border

  - ### FixedSingle

    public static final PdfBorderStyle FixedSingle
    Single border

  - ### Fixed3D

    public static final PdfBorderStyle Fixed3D
    3D border

- ## Method Details

  - ### values

    public static PdfBorderStyle[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PdfBorderStyle valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()